# .tmux.conf

new-session -n $HOST

#unbind -n MouseDown3Pane
bind | split-window -h
bind - split-window -v
bind -n M-Left select-pane -L
bind -n M-Right select-pane -R
bind -n M-Up select-pane -U
bind -n M-Down select-pane -D
bind-key r source-file ~/.tmux.conf
bind-key y \
        setw synchronize-pane on \;\
        display 'SYNC Panes: ON'
bind-key Y \
        setw synchronize-pane off \;\
        display 'SYNC Panes: OFF'

unbind '"'
unbind %

set-option -g history-limit 3000000
set -g default-terminal "screen-256color"
set -g mouse on
set -g mode-keys vi
setw -g monitor-activity on
set -g visual-activity on

# statusbar background to black, foreground to white
set-option -g status-fg black
set-option -g status-bg yellow

# hostname is printed on the left, uptime and current load on the right
set-option -g status-left-length 40
set-option -g status-left "#H"
set-option -g status-right "#(uptime|cut -d "," -f 2-)"

set-option -g status-keys vi
set-window-option -g mode-keys vi

# fix the titles
set -g set-titles on
set -g set-titles-string "#I:#W"

# be notified when there is activity in one of your windows
set-window-option -g monitor-activity on

# don't rename windows automatically
#set-window-option -g automatic-rename off

######################
### DESIGN CHANGES ###
######################

# loud or quiet?
set -g visual-activity off
set -g visual-bell off
set -g visual-silence off
setw -g monitor-activity off
set -g bell-action none
